﻿# You can place the script of your game in this file.
init:
    #définit et initie la variable pour donner la couleur
    $ nomcouleur = "" 
    $ nomdeco = ""   
    $ couleur = DynamicCharacter("nomcouleur", color=(192, 64, 64, 255))
    $ deco = DynamicCharacter("nomdeco", color=(192, 64, 64, 255))
    
    $faux = "Faux. \nClique pour recommencer."
       
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    image bg facade = "facade.png"
    image facade1 base = "facade.jpg"
    image facade1 gauche = im.Crop("facade.jpg", 0, 0, 512, 768)
    image facade1 droite = im.Crop("facade.jpg",512, 0, 512, 768)    
    
    image bg chambre = "chambre/chambre.jpg"

    python:
        for piece in ['chambre']:
            for couleur in ['blanche', 'rouge', 'bleue', 'jaune']:
                renpy.image((piece, couleur), "chambre/%s_%s.jpg" % (piece, couleur))
            
    # image chambre blanche = "chambre/chambre_blanche.jpg"
    # image chambre rouge = "chambre/chambre_rouge.jpg"
    # image chambre bleue = "chambre/chambre_bleue.jpg"
    # image chambre jaune = "chambre/chambre_jaune.jpg"
    
    image chambre base = "chambre/chambre.jpg"    
    image chambre scale = im.Scale("chambre/chambre.jpg", 533, 400)    
    
    image lampe rangee = "lampe/lampe_rangee.png"
    image lampe allumee = "lampe/lampe_allumee.png"
    image lampe cassee = "lampe/lampe_cassee.png"
    
    image etagere1 grande = "etagere/etagere_grande.png"
    image etagere2 petite = "etagere/etagere_petite.png"

    image pot couleurs = "peinture/pot.png"
    image pot terne = "peinture/pot_terne.png"
    
    python:
        for pot in ['pot']:
            for potcouleur in ['rouge', 'bleu', 'jaune']:
                renpy.image((pot, potcouleur), "peinture/%s_%s.png" % (pot, potcouleur))
    
    image bg cuisine = "cuisine/cuisine.jpg"
    image cuisine eau = "cuisine/cuisine_eau.jpg"
    image cuisine base = "cuisine/cuisine.jpg"
    image cuisine scale = im.Scale("cuisine/cuisine.jpg", 533, 400)     
    
    image deco choix = "cuisine/deco_choix.png"
    image deco carres = "cuisine/deco_carres.png"
    image deco losanges = "cuIsine/deco_losanges.png"
       
    # Declare characters used by this game.
    define L = Character('Lila', color="#c8ffc8")

# The game starts here.
label start:
    scene facade1 base
    "Bonjour. Chez moi, c'est tout petit."
    scene facade1 base
    show facade1 droite at Position(xpos=.5, xanchor=0, yalign=0)
    show cuisine scale at Position(xalign=0,ypos=1.0, yanchor=1.0) 
    show bg facade
    "Il y a une cuisine à gauche."
    scene facade1 base
    show facade1 gauche at Position(xalign=0,yalign=0) 
    show chambre scale at Position(xpos=600, xanchor=.5, ypos=1.0, yanchor=1.0) 
    show bg facade
    "Il y a une chambre à droite"

    scene facade1 base
    show cuisine scale at Position(xalign=0,ypos=1.0, yanchor=1.0)    
    show chambre scale at Position(xpos=600, xanchor=.5, ypos=1.0, yanchor=1.0) 
    show bg facade    
    menu:
        "Où veux tu aller ?"
        "dans la chambre":
            jump chambre
        "dans la cuisine":
            jump cuisine
          
label faux:
    $ menu_flag = False   
    "[faux]"
    jump start             
            
label vrai:
    scene facade1 base
    $ menu_flag = True

    menu:
        "Bravo ! Que veux-tu faire ?"
        "J'ai fini.":
            jump fin
        "Je veux aller dans la chambre.":
            jump chambre   
        "Je veux aller dans la cuisine.":
            jump cuisine            
    
label fin:
    scene facade1 base
    "C'est la fin du jeu, au revoir !"

    return
